Subject: Re: [PATCH] [IPROUTE2] Compatibility with iptables 1.4.0

From: jamal <[email-masked]>
Date: Mon, 24 Dec 2007 11:57:37 -0500

I just submitted a tested, slightly reduced patch (example we dont need
to register matches) and it works as expected now. Thanks for the
excellent work Denys.

Pablo, below looks an oversight.
I think there are some libraries like the mark target need also to be
backward compatible.

cheers,
jamal

On Mon, 2007-24-12 at 11:30 -0500, jamal wrote:

> Grr. I tested with a different iptables target and thought the rest work
> in the same manner. iptables needs to be consistent.
> 
> -----
> lilsol:~# export IPTABLES_LIB_DIR=/root/iptables-1.4.0/extensions/
> lilsol:~# tc actions add action ipt -j TOS --set-tos
> Maximize-Reliability
> tablename: mangle hook: NF_IP_POST_ROUTING
>         target: TOS set Maximize-Reliability  index 0
> lilsol:~# tc actions ls action ipt
> 
>         action order 0: tablename: mangle  hook: NF_IP_POST_ROUTING
>         target TOS set Maximize-Reliability
>         index 2 ref 1 bind 0
> // the above is what i tested
> // below is what you did
> lilsol:~# tc actions add action ipt -j mark --set-mark 3
> /root/iptables-1.4.0/extensions/: cannot read file data: Is a directory
>  failed to find target mark
> 
> bad action parsing
> parse_action: bad value (5:ipt)!
> Illegal "action"
> Command "add" is unknown, try "tc actions help".
> lilsol:~#
> ------------
> 
> Applying your patch ....
> Seems corrupt; let me fix it up, test it and resend it to Stephen.
> 
> cheers,
> jamal
>